Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class EnsembleMessagesForum

    java.lang.Object
      com.eteks.forum.EnsembleMessagesForum

All Implemented Interfaces:
  java.lang.Iterable<MessageForum>

    public class EnsembleMessagesForum

extends java.lang.Object
implements java.lang.Iterable<MessageForum>

Constructor Summary
`EnsembleMessagesForum()`

Method Summary
`void` | `ajouter(MessageForum message)` Ajoute un message a cet ensemble.
`java.util.Iterator<MessageForum>` | `iterator()` Renvoie un iterateur permettant d'enumerer les messages de cet ensemble.
`void` | `rechercherMessagesSujet(ConnecteurForum connecteur, java.lang.String sujet)`
`void` | `rechercherSujets(ConnecteurForum connecteur)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnsembleMessagesForum

    public EnsembleMessagesForum()

Method Detail

### ajouter

    public void ajouter(MessageForum message)

  Ajoute un message a cet ensemble.

### iterator

    public java.util.Iterator<MessageForum> iterator()

  Renvoie un iterateur permettant d'enumerer les messages de cet ensemble.

  Specified by:
    `iterator` in interface `java.lang.Iterable<MessageForum>`

### rechercherSujets

    public void rechercherSujets(ConnecteurForum connecteur)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### rechercherMessagesSujet

    public void rechercherMessagesSujet(ConnecteurForum connecteur,
                                        java.lang.String sujet)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD